% %andy's routine to produce a correction for the shift in gauge volume
% %when measuring small blade at SRS 16.3

%data needs radial,axial // x,y
%could fix this by rotations

%___read cmm data____
filename=['little_blade.txt'];
[x,y,z]=textread(filename,'%f %f %f');

filename=['measurement_locations2.txt'];
[zposition,xposition]=textread(filename,'%f %f');

xorigin=370;
zorigin=-110;

outputfile=['y_position_corr2.txt'];
fid=fopen(outputfile,'wt');
fprintf(fid,'xpos zpos lower_y upper_y mean_y thickness\n');

%___crop out cores from the data___
for i=1:length(xposition);
xpos=xorigin+xposition(i,1);
zpos=zorigin-zposition(i,1);

dummy=find((xpos-0.5) < x & x < (xpos+0.5));
xcrop=x(dummy,1);
ycrop=y(dummy,1);
zcrop=z(dummy,1);

dummy=find((zpos-0.5) < zcrop & zcrop < (zpos+0.5));
xcrop=xcrop(dummy,1);
ycrop=ycrop(dummy,1);
zcrop=zcrop(dummy,1);

dummy1=find(ycrop < mean(ycrop));
dummy2=find(ycrop > mean(ycrop));
y_one=ycrop(dummy1,1);
y_two=ycrop(dummy2,1);
y_1=mean(y_one);
y_2=mean(y_two);
y_centre=(y_1+y_2)/2;
thickness=y_2-y_1

%____collect and print results____
%results=[xpos,zpos,y_1,y_2,y_centre,thickness];
results=[y_centre,thickness];
res_thickness(i,1)=thickness;
res_centre(i,1)=y_centre;


fprintf(fid,'%f %f\n',results);

end

fclose(fid);

dir
