clear all
fname=uigetfile('*.txt');
[xorig,yorig,zorig]=read_three_columns(fname);
[xout,yout,zout]=read_three_columns(uigetfile('*.txt'));

%%
z=zorig-fit_plane(xorig,yorig,zorig);
% add far field points to prevent NaNs when griddata is called...
%x=[xorig;min(xorig)-100; min(xorig)-100; max(xorig)+100; max(xorig)+100];
%y=[yorig;min(yorig)-100; max(yorig)+100; min(yorig)-100; max(yorig)+100];
%meanz=mean(zorig);
%z=[z; meanz; meanz; meanz; meanz];
x=xorig;y=yorig;

%%  REARRANGE INTO GRIDDED DATA
pitch=max(median(diff(x)),median(diff(y)));
pitch=0.03;
fprintf('Estimated pitch of dataset is %3.3fmm\n\n',pitch);
xrange=min(x):pitch:max(x);
yrange=min(y):pitch:max(y);
[xi,yi]=meshgrid(xrange,yrange);

zi=griddata(x,y,z,xi,yi,'nearest');
disp('Done!')



%% BLOCK PROCESS
blksize=3;
fprintf('Block size for filtering is %d pixels = %3.3f mm\n\n',blksize,blksize*pitch);
fprintf('Using median filtering\n')
zi2=colfilt(zi,[blksize blksize],'sliding',@median);




%% CROP OUTLINE

in=inpolygon(xi(:),yi(:),xout,yout);

zi3=zi2;
zi3(~in)=NaN;
imagesc(zi3);

x2=xi(in);
y2=yi(in);
z2=zi2(in);

disp('Done!')

%% WRITE DATA TO DISK
dlmwrite(uiputfile('*.txt'),[x2 y2 z2],'delimiter',' ');
disp('Done!')

