% ESTIMATE_ERROR.M Estimation of uncertainty in contour method results
% Greg Johnson
% November 2004
%
% Following method of Prime (PrimeEM.pdf, www.lanl.gov/contour)


[filenames]=uigetfile('*.rpt','Select data files','multiselect','on');

if 0
  [inputdeckfile,inputdeckpath]=uigetfile('*.inp','Select input deck');
nodes=read_inp([inputdeckpath inputdeckfile],'patran');
end
%%

if iscell(filenames)==0
  tmp=filenames;
  clear filenames;
  filenames{1}=tmp;
end
filenames=sort(filenames); %lowest numbers first

%% Loop through each spline fit and add a step to the input deck
[nodenum1,stress1]=textread(filenames{1},'','headerlines',19);
stress1=stress1(nodes.topnodes);

for n=2:length(filenames)
  clf
  plot3c(nodes.x(nodes.topnodes),nodes.y(nodes.topnodes),stress1,stress1,'.');
  axis([-100 100 -100 100 -400 400])
  drawnow
  %load current data set
  [nodenum2,stress2]=textread(filenames{n},'','headerlines',19);
  stress2=stress2(nodes.topnodes);
  fprintf('%s\n',filenames{n});
  uncertainty(n)=sum(abs(diff([stress1 stress2]'))./sqrt(2))./sqrt(length(stress1));
  
  stress1=stress2;
end

