% FIT_SPLINE.M
% Greg Johnson & Matt Fox.....(P. Frankel)
% April 2004
%
% Reads the .txt files in the current directory, generates two thin plate 
% splines, saved as variables and filenames 'splineA' and '...B'
%
% REQUIRES: Spline toolbox

% read list of .txt files in current directory
listing=dir('*.txt');

if size(listing,1)==2
  disp('Only two files found: using both of them')
else
  disp('I''m a bit confused - there are not just two files.  Now what?')
  return
end

[xB,yB,zB]=textread(listing(1).name);
[xT,yT,zT]=textread(listing(2).name);

% 'funny points' should have been removed in metris after CMM. To remove
% edge z points:

disp('Were funny points removed after CMM?')

%Fit spline
disp('Fitting splines to data')

smoothfactor=0.7; % 0-1 fiddle factor

spline_Bottom=tpaps([xB yB]',zB',smoothfactor);
spline_Top=tpaps([xT yT]',zT',smoothfactor);

save spline_Bottom spline_Bottom
save spline_Top spline_Top

fnplt(spline_Bottom)

%evaluate z values in spline at given x and y
splineB_Z = fnval(spline_Bottom,[xB yB]'); 

%spline deviation from original z data
errorB= splineB_Z'-zB    
hold on

% create x and y matrices for arrow vectors
y0=zeros(length(xB),1) 
x0=y0

%creates arrows
quiver3(xB,yB,zB,x0,y0,errorB) 
legend('Bottom side','error')

%new figure and repeat for top surface
figure
fnplt(spline_Top)
SplineT_Z = fnval(spline_Top,[xT yT]');
errorT = SplineT_Z'-zT
hold on
y0=zeros(length(xT),1)
x0=y0
quiver3(xT,yT,zT,x0,y0,errorT)
legend('Top side','error')
% legend('A side', 'B side')
% look at help for fnplt, fnval
