function outline_select()
% script to determine outline points from x,y,z dataset disregards z (makes
% 1) written  Chris Gill 19-06-06
clear all;
[filename,pathname]=uigetfile('*.txt','select file');%select a file
cd(pathname);
[x,y,z]=textread(filename);%read in x,y,z data
if min(y)==0%will not work if bottom edge is 0 all will be deleted
  disp('errors')%will delete first -ve point if any exist 
  return
end
x_uniq=unique(x);%select the unique x positions
x_max=max(x_uniq);%right hand edge
x_min=min(x_uniq);%left edge
x_uniq(1)=[];%delete edges
x_uniq(length(x_uniq))=[];%delete edges
for n=1:length(x_uniq)%for none edge data
  cur_x=x_uniq(n);%pick an x value
  y_at_x=y.*ismember(x,cur_x);%make value or 0 false vector
  y_at_x=unique(y_at_x);%select only values
  y_at_x(1)=[];%remove the 0 from false data
  bottom=min(y_at_x);%pick min y
  top=max(y_at_x);%pick max y
  res_bot_x(n)=cur_x;%output to vector
  res_bot_y(n)=bottom;%output to vector
  res_top_x(n)=cur_x;%output to vector
  res_top_y(n)=top;%output to vector
end
top=[res_top_x', res_top_y'];%create matrix for top edge
top=sortrows(top);%sort data
n=1;%initialise counter
top2=[];%delete any old top2
while length(top)>=1%rearrange top into decending order
  top2(n,:)=top(length(top(:,1)),:);
  top(length(top(:,1)),:)=[];
  n=n+1;
end
top=top2;%move back to top
top(:,3)=ones;%create arbitrary z pos
bottom=[res_bot_x', res_bot_y'];%bottom edge
bottom=sortrows(bottom);%sort acsending
bottom(:,3)=ones;%create arbitrary z pos
%% Left hand edge 
left_y=y.*ismember(x,x_min);% y values left / 0 for not on LH edge
left_y=unique(left_y);%remove 0s
left_y(1)=[];%remove last 0
left_y=sort(left_y,'descend');%sort descending
left=[];%delete previous matrix
left(:,2)=[left_y];%make x,y,z matrix
left(:,1)=x_min;%make x,y,z matrix
left(:,3)=ones;%make x,y,z matrix
%% Right
right_y=y.*ismember(x,x_max);%y values right / 0 for not RH edge
right_y=unique(right_y);%remove falses
right_y(1)=[];%remove final 0
right_y=sort(right_y,'ascend');%sort acending
right=[];%delete any previous matrix
right(:,2)=[right_y];%make x,y,z matrix
right(:,1)=x_max;%make x,y,z matrix
right(:,3)=ones;%make x,y,z matrix
%% Output
results=[top;left;bottom;right];%create single results matrix
plot(results(:,1),results(:,2));%plot for idiot check
%%
outname=filename;%output file name
outname(length(outname)-3:length(outname))=[];
outname=[outname,'_outline.txt'];
dlmwrite(outname,results,'delimiter',' ');%write to file
disp('finished');