function [x,y,z]=read_omniscan(varargin)
% READ_OMNISCAN.M reads ascii files from omniscan
% Greg Johnson
% November 2004
%
% Usage: dat=read_omniscan  - select a file when the dialogue box asks
%        dat=read_omniscan(filename) - reads the given file
%
%

if nargin<1
  [fname,pathname]=uigetfile('*.*','Select file');
  if fname==0
    disp('Cancelled');
    return
  end
elseif nargin>1
  fprintf('Too many parameters!\n');
  help(mfilename)
  return
else
  fname=varargin{1};
  pathname=[];
end


dat=textread([pathname fname],'','delimiter',',');

[x,y]=meshgrid(1:size(dat,2),1:size(dat,1));
x=x(:);
y=y(:);
z=dat(:);

