function varargout=read_three_columns(fname)
% READ_THREE_COLUMNS.M
% Greg Johnson, February 2005
% Mostly does what is says on the tin - reads ascii files with 3 columns of
% numbers in them.  Can return the data either as a single matrix (with
% three columns):
% dat=read_three_columns(filename)
% or as the three individual columns:
% [x,y,z]=read_three_columns(filename)
%
% Have fun!

fid=fopen(fname,'rt');
if fid~=-1
  dat=textscan(fid,'%f %f %f');
  fclose(fid);
  out1=dat{1};
  out2=dat{2};
  out3=dat{3};
else
  disp('Could not open file!')
  out1=[];
  out2=[];
  out3=[];
end

if nargout==1
  varargout{1}=[out1 out2 out3];
elseif nargout==3
  varargout{1}=out1;
  varargout{2}=out2;
  varargout{3}=out3;
else
  fprintf('Incorrect number of outputs!\n\n');
  help(mfilename)
end
