clear all
%%
[n,e]=read_inp(uigetfile('*.inp','Select mesh file'));
%%
ntop=n.topnodes;
xtop=n.x(ntop);
ytop=n.y(ntop);

%%
clear s
  fitnames=[
    'sp_00_188';
    'sp_00_375';
    'sp_00_750';
    'sp_01_500'];
  
    % four point bend
    fitnames=['fourpointbend'];
  
    for i=1:size(fitnames,1)
      tmp=textread([fitnames(i,:) '.rpt']);
      sres{i}=tmp(ntop,2)';
    end
%%
clf
fitnum=1;
s=sres{fitnum};

[xi,yi,si]=griddata(n.x(ntop),n.y(ntop),s,[min(n.x(ntop)):0.1:max(n.x(ntop))],...
  [min(n.y(ntop)):0.1:max(n.y(ntop))]');

ax(1)=axes('position',[0.1 0.3 0.6 0.6]);
surf(xi,yi,si)
view([0,0,1])
axis image

xlabel('mm')
ylabel('mm')
ax(3)=axes('position',[0.9 0.3 0.05 0.6]);
imagesc(repmat([min(si):0.5:max(si)]',1,2))
ax(2)=axes('position',[0.1 0.1 0.8 0.1]);
plot(si(round(end/2),:),'.-')


figure(2)
clear ax
tmp=get(gcf,'position');
tmp2=get(0,'screensize');
if tmp(2)+tmp(3)>tmp2(4)+100;
  tmp(2)=tmp(2)-200;
end
set(gcf,'position',[100 800 1600 290]);
% ...tmp(3) tmp(3)]);
clf

ax(1)=axes('position',[0.1 0.3 0.65 0.65],...
  'xlim',[-10 10],'ylim',[-10 10],'xticklabel',[]);

surface(yi,xi,si)
%imagesc((yi(end:-1:1)),xi(:),flipud(si'))
%set(gca,'cameraupvector',[1 0 0])
title(['LSP (single peen) out of plane residual stresses: ' fitnames(fitnum,:)],'interpreter','none');
colrange=[-300 200];
caxis(colrange)
axis image
hold on
xl=[-10:.1:10];
ypt=0.2;
plot3(repmat(ypt,size(xl)),xl,repmat(1000,size(xl)),'b-','linewidth',2)
%view([0 0 1])
xlabel('mm','fontsize',12)
shading flat

pos=get(ax(1),'position');
ax(2)=axes('position',[0.1 0.1 0.65 0.15]);
%colormap
s=min(si(:)):max(si(:));
s=[colrange];
contourf(s,[1 2],[s; s],20);

ylabel('MPa','fontsize',12)
axis tight

set(gca,'yaxislocation','left','ytick',[])
set(ax,'fontsize',12)

ax(3)=axes('position',[0.8 0.3 0.1 0.65]);
%cross section
%plot(si(round(end/2),:),xi(round(end/2),:),'.-','linewidth',1,'markersize'
%,15)
plot(si(yi>ypt-0.05 & yi<ypt+0.05),xi(yi>ypt-0.05 & yi<ypt+0.05),'r.-')
grid on
axis([colrange -inf inf])
xlabel('MPa','fontsize',12)
ylabel('mm','fontsize',12)

exportfig(gcf,[fitnames(fitnum,:) '.eps'],'format','eps2','color','cmyk','preview','none')
saveas(gcf,[fitnames(fitnum,:) '.fig']);
print('-djpeg',[fitnames(fitnum,:) '.jpg'])

disp('Done!')





