function [outline,data]=squaredata(outline,data)
%% SQUAREDATA
% Samples often have a nominally flat edge to them, so this assumes that
% one of those edges is in the bottom 5% of the data, and uses that edge to
% rotate the datasets to make the bottom horizontal.  Could go horribly
% wrong, but was developed for railway samples and works well there.  Needs
% to be done before centering.

fivepercentile_outline=min(outline(:,2))+0.05*range(outline(:,2));
bottomsection_outline=find(outline(:,2)<fivepercentile_outline);

fit_outline=polyfit(outline(bottomsection_outline,1),outline(bottomsection_outline,2),1);

% small angle approximation could be used here but no benefit
outline_theta=-tan(fit_outline(1));

T=[cos(outline_theta) sin(outline_theta);-sin(outline_theta) cos(outline_theta)];
% apply T to both outline and datapoints
outline(:,[1 2])=[outline(:,1) outline(:,2)]*T;
data(:,[1 2])=[data(:,1) data(:,2)]*T;
